Main Page Namespace List Class Hierarchy Compound List Compound Members

# ZThread::Synchronization_Exception Class Reference

`#include <SynchronizationExceptions.h>`

Inheritance diagram for ZThread::Synchronization_Exception::

List of all members.

## Public Methods
| Synchronization_Exception () throw ()
| Synchronization_Exception (const Synchronization_Exception &) throw ()
| Synchronization_Exception (const char *) throw ()
| ~Synchronization_Exception () throw ()
const char* | what () const throw ()

## Detailed Description

Serves as a general base class for the Exception hierarchy used within this package.

## Constructor & Destructor Documentation

Synchronization_Exception ( | ) throw ()

| Create a new exception with a default error message 'Synchronization Exception'

Synchronization_Exception ( | const Synchronization_Exception & ) throw ()

  | Create a new exception by copying another Parameters:
  const | Synchronization_Exception& - exception to copy

Synchronization_Exception ( | const char * ) throw ()

  | Create a new exception with a given error message Parameters:
  const | char* - error message

~Synchronization_Exception ( | ) throw ()

| Destroy the exception object

## Member Function Documentation

const char * what ( | ) const throw ()

| Get additional info about the exception Returns: const char* for the error message

The documentation for this class was generated from the following file:

- SynchronizationExceptions.h